Summary:	A lightweight BibTeX editor developed for the Xfce desktop environment
Name:		xfbib
Version:	0.0.2
Release:	%mkrel 13
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/applications/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
# Fixes build when using xdt-autogen
Patch0:		xfbib-0.0.2-buildfix.patch
# From upstream bugzilla
# https://bugzilla.xfce.org/show_bug.cgi?id=9568
Patch1:		xfbib-0.0.2-libxfce4ui.patch
Patch2:		xfbib-0.0.2-automake-1.13.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	xfce4-dev-tools

%description
Xfbib is a lightweight BibTeX editor developed for the Xfce.
The intentions of Xfbib is to provide an easy and efficient 
way of editing BibTeX files.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x

%make

%install
%makeinstall_std

desktop-file-install \
	--dir %{buildroot}/%{_datadir}/applications/ \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2-13.mga3
+ Revision: 386775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 0.0.2-12.mga3
+ Revision: 344548
- patch2: fix build with automake 1.13

* Sat Dec 01 2012 wally <wally> 0.0.2-11.mga3
+ Revision: 324109
- port to libxfce4ui (xfce#9568)
  * patch from upstream bugzilla
- add patch to fix build when using xdt-autogen

* Mon May 28 2012 wally <wally> 0.0.2-10.mga3
+ Revision: 248692
- fix desktop file
- rebuild for new libxfce4util
- clean .spec

* Sat Feb 19 2011 ahmad <ahmad> 0.0.2-9.mga1
+ Revision: 54287
- drop old/unneeded scriptlets
- imported package xfbib

